
/* Chrysalide - Outil d'analyse de fichiers binaires
 * demangler.h - prototypes pour le décodage des noms d'éléments
 *
 * Copyright (C) 2009-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FORMAT_MANGLING_DEMANGLER_H
#define _FORMAT_MANGLING_DEMANGLER_H


#include "../analysis/routine.h"



/* Tente de décoder une chaîne de caractères donnée. */
GBinRoutine *try_to_demangle_routine(const char *);

/* Tente de décoder une chaîne de caractères donnée. */
GBinRoutine *demangle_routine(GType, const char *);

/* Tente de décoder une chaîne de caractères donnée. */
GDataType *demangle_type(GType, const char *);



/* Procède au test de décodages de chaînes de caractères. */
#ifdef DEBUG
void test_itanium_demangling(void);
#endif



#endif  /* _FORMAT_MANGLING_DEMANGLER_H */
